# org.pdfclown.documents.interchange.metadata.Information Class Reference

Document information [PDF:1.6:10.2.1]. More...

Inheritance diagram for org.pdfclown.documents.interchange.metadata.Information:

List of all members.

## Public Member Functions
void | Add (PdfName key, object value)
void | Clear ()
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
bool | ContainsKey (PdfName key)
void | CopyTo (KeyValuePair< PdfName, object >[] entries, int index)
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| Information (Document context)
bool | Remove (KeyValuePair< PdfName, object > entry)
bool | Remove (PdfName key)
bool | TryGetValue (PdfName key, out object value)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Information | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
string | Author`[get, set]`
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
int | Count`[get]`
DateTime | CreationDate`[get, set]`
string | Creator`[get, set]`
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
bool | IsReadOnly`[get]`
ICollection< PdfName > | Keys`[get]`
string | Keywords`[get, set]`
DateTime | ModificationDate`[get, set]`
string | Producer`[get, set]`
string | Subject`[get, set]`
object | this [PdfName key]`[get, set]`
string | Title`[get, set]`
ICollection< object > | Values`[get]`

##

Document information [PDF:1.6:10.2.1].

## Constructor & Destructor Documentation

org.pdfclown.documents.interchange.metadata.Information.Information | ( | Document | context | ) |

## Member Function Documentation

void org.pdfclown.documents.interchange.metadata.Information.Add | ( | PdfName | key,
|  | object | value |
| ) |  |  |

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

void org.pdfclown.documents.interchange.metadata.Information.Clear | ( |  | ) |

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

bool org.pdfclown.documents.interchange.metadata.Information.ContainsKey | ( | PdfName | key | ) |

void org.pdfclown.documents.interchange.metadata.Information.CopyTo | ( | KeyValuePair< PdfName, object >[] | entries,
|  | int | index |
| ) |  |  |

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

bool org.pdfclown.documents.interchange.metadata.Information.Remove | ( | KeyValuePair< PdfName, object > | entry | ) |

bool org.pdfclown.documents.interchange.metadata.Information.Remove | ( | PdfName | key | ) |

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

bool org.pdfclown.documents.interchange.metadata.Information.TryGetValue | ( | PdfName | key,
|  | out object | value |
| ) |  |  |

static Information org.pdfclown.documents.interchange.metadata.Information.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

string org.pdfclown.documents.interchange.metadata.Information.Author`[get, set]`

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

int org.pdfclown.documents.interchange.metadata.Information.Count`[get]`

DateTime org.pdfclown.documents.interchange.metadata.Information.CreationDate`[get, set]`

string org.pdfclown.documents.interchange.metadata.Information.Creator`[get, set]`

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

bool org.pdfclown.documents.interchange.metadata.Information.IsReadOnly`[get]`

ICollection<PdfName> org.pdfclown.documents.interchange.metadata.Information.Keys`[get]`

string org.pdfclown.documents.interchange.metadata.Information.Keywords`[get, set]`

DateTime org.pdfclown.documents.interchange.metadata.Information.ModificationDate`[get, set]`

string org.pdfclown.documents.interchange.metadata.Information.Producer`[get, set]`

string org.pdfclown.documents.interchange.metadata.Information.Subject`[get, set]`

object org.pdfclown.documents.interchange.metadata.Information.this[PdfName key]`[get, set]`

string org.pdfclown.documents.interchange.metadata.Information.Title`[get, set]`

ICollection<object> org.pdfclown.documents.interchange.metadata.Information.Values`[get]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.